# png.cpp File Reference

Reading sprites from png files. More...

`#include "../stdafx.h"`
`#include "../fileio_func.h"`
`#include "../debug.h"`
`#include "png.hpp"`
`#include <png.h>`

Go to the source code of this file.

## Defines
#define | PNG_SLOT 62
## Functions
static void PNGAPI | png_my_read (png_structp png_ptr, png_bytep data, png_size_t length)
static void PNGAPI | png_my_error (png_structp png_ptr, png_const_charp message)
static void PNGAPI | png_my_warning (png_structp png_ptr, png_const_charp message)
static bool | OpenPNGFile (const char *filename, uint32 id, bool mask, ZoomLevel zoom)
static bool | LoadPNG (SpriteLoader::Sprite *sprite, const char *filename, uint32 id, volatile bool mask, ZoomLevel zoom)

## Detailed Description

Reading sprites from png files.

Definition in file png.cpp.